(define-module (ui ca ajax)
	       :use-module (alterator ajax)
	       :use-module (alterator woo)
	       :export (ui))

(define (download file)
  (ui-blob "file"
	   (woo-read-first "/ca/download"
			   'file file)
	   "text/plain"
	   file))

(define (module-path)
  (if (woo-get-option (woo-read-first "/ca/root") 'is_active)
    "ca/certs"
    "ca/root"))

(define (ui)
  (let ((file (form-value "download")))
    (if file
      (download file)
      (ui-replace (module-path)))))
