(define-module (ui ca certs host ajax)
    :use-module (alterator ajax)
    :use-module (alterator woo)
    :export (init))

(define (ui-read)
  (form-update-enum
    "key_name"
    (woo-list "/ca/host"
              'language (form-value "language")
              'hostname (form-value "hostname"))))

(define (ui-write)
   (catch/message
     (lambda()
       (woo-write "/ca/host"
          'sign_key #t
          'language (form-value "language")
          'hostname (form-value "hostname")
          'key_name (form-value "key_name"))
       (ui-read))))

(define (init)
  (ui-read)
  (form-bind "sign_key" "click" ui-write))