(define-module (ui ca root ajax)
	       :use-module (alterator ajax)
	       :use-module (alterator woo)
	       :use-module (alterator effect)
	       :export (init))

(define (ui-read)
  (form-update-value-list
    (woo-read-first "/ca/root"))
  (form-update-value "confirm" #f)
  (update-effect))

(define (ui-write)
  (catch/message
    (lambda()
      (apply woo "create" "/ca/root"
             'language (form-value "language")
             (form-value-list))
      (ui-read))))

(define (init)
  (effect-show "active" "is_active" #t)
  (effect-show "inactive" "is_active" #f)
  (effect-show "confirm_button" "confirm" #t)
  (init-effect)
  (ui-read)
  (form-bind "confirm_button" "click" ui-write)
  (form-bind "create_button" "click" ui-write))
